Read Me for Spread for Windows Forms

Note: If you have both Spread for Windows Forms and Input Pro for Windows Forms in the same project ...

Input Pro for Windows Forms 1.0.5.0 no longer uses FarPoint.Win.dll. If you have a project that uses both products, you need to apply the Spread for Windows Forms 1.0.9.0 maintenance release and the Input Pro for Windows Forms 1.0.5.0 maintenance release or higher. Applying only one of the maintenance releases for any projects that use both controls may cause your application to exhibit unpredictable behavior.

This is the latest information about Spread for Windows FormsTM from FarPoint Technologies, Inc.

  • Release Notes
  • Installation
  • Installed Files
  • Updating Projects
  • Development Requirements
  • Deployment Requirements
  • Trial Version
  • Viewing Help Content
  • Technical Support
  • Contacting FarPoint

Send documentation comments to FarPoint.

Spread, Spread for Windows Forms, Spread for Web Forms, Input Pro for Windows Forms, and SoftwareSecure are trademarks of FarPoint Technologies, Inc. All other trademarks and registered trademarks are the property of their respective owners.

Copyright © 2003-2005 FarPoint Technologies, Inc. All rights reserved.


Release Notes

1.0.9.0 |1.0.8.0 |1.0.7.0 |1.0.6.0 |1.0.5.0 | 1.0.4.0 | 1.0.3.0 | 1.0.2.0 |

Release Notes for Version 1.0.9.0

This set of release notes for Spread for Windows Forms 1.0.9.0 includes version details.

    Version Information

    The version numbers of the assemblies provided with Spread for Windows Forms 1.0.9.0 are:

    Assembly | Version
FarPoint.Win.Spread | 1.0.9.0
FarPoint.Win | 1.0.9.0
FarPoint.Excel | 1.1.2.0
FarPoint.CalcEngine | 1.1.0.0
FarPoint.PluginCalendar.WinForms | 1.1.3.0
FarPoint.SpreadWrapper | 1.0.9.0
FarPoint.Win.Spread.Design | 1.0.9.0

back to top

Release Notes for Version 1.0.8.0

This set of release notes for Spread for Windows Forms 1.0.8.0 includes version details.

    Version Information

    The version numbers of the assemblies provided with Spread for Windows Forms 1.0.8.0 are:

    Assembly | Version
FarPoint.Win.Spread | 1.0.8.0
FarPoint.Win | 1.0.8.0
FarPoint.Excel | 1.1.1.0
FarPoint.CalcEngine | 1.0.9.0
FarPoint.PluginCalendar.WinForms | 1.1.2.0
FarPoint.SpreadWrapper | 1.0.8.0
FarPoint.Win.Spread.Design | 1.0.8.0

back to top

Release Notes for Version 1.0.7.0

This set of release notes for Spread for Windows Forms 1.0.7.0 includes a summary of enhancements and version details.

    Latest Enhancements

    We have added the following enhancements in this latest maintenance release:

    • The TextTipAppearance property is now at the Spread level.

    Version Information

    The version numbers of the assemblies provided with Spread for Windows Forms 1.0.7.0 are:

    Assembly | Version
FarPoint.Win.Spread | 1.0.7.0
FarPoint.Win | 1.0.8.0
FarPoint.Excel | 1.1.1.0
FarPoint.CalcEngine | 1.0.9.0
FarPoint.PluginCalendar.WinForms | 1.1.2.0
FarPoint.SpreadWrapper | 1.0.7.0
FarPoint.Win.Spread.Design | 1.0.7.0

back to top

Release Notes for Version 1.0.6.0

This set of release notes for Spread for Windows Forms 1.0.6.0 includes a summary of enhancements and version details.

    Latest Enhancements

    We have added the following enhancements in this latest maintenance release:

    • If you are using the Microsoft Visual Studio 2005 Beta (Whidbey) or any of the Express Beta editions, set the SerializeModels property to true.
    • The StopCellEditing methods return a Boolean value indicating whether edit mode has actually stopped.

        If there is code handling the Validating event for the editor control or for the FpSpread control and it sets the cancel flag in the event arguments to true, then edit mode will not be turned off and the StopCellEditing method will return false. Due to this change, any application that uses this release must be compiled with this release.

    • The number cell type now uses plain rounding which is similar to the rounding behavior in Excel.
    • The GetViewportHeight method and the GetViewportWidth method have been added to the SpreadView object.
    • There is an additional SetValue method with a validate option.

    Version Information

    The version numbers of the assemblies provided with Spread for Windows Forms 1.0.6.0 are:

    Assembly | Version
FarPoint.Win.Spread | 1.0.6.0
FarPoint.Win | 1.0.7.0
FarPoint.Excel | 1.0.9.0
FarPoint.CalcEngine | 1.0.7.0
FarPoint.PluginCalendar.WinForms | 1.1.1.0
FarPoint.SpreadWrapper | 1.0.6.0
FarPoint.Win.Spread.Design | 1.0.6.0

back to top

Release Notes for Version 1.0.5.0

This set of release notes for Spread for Windows Forms 1.0.5.0 includes these version details.

    Version Information

    The version numbers of the assemblies provided with Spread for Windows Forms 1.0.5.0 are:

    Assembly | Version
FarPoint.Win.Spread | 1.0.5.0
FarPoint.Win | 1.0.6.0
FarPoint.Excel | 1.0.8.0
FarPoint.CalcEngine | 1.0.6.0
FarPoint.PluginCalendar.WinForms | 1.1.0.0
FarPoint.SpreadWrapper | 1.0.5.0
FarPoint.Win.Spread.Design | 1.0.5.0

back to top

Release Notes for Version 1.0.4.0

This set of release notes for Spread for Windows Forms 1.0.4.0 includes these version details.

    This version was created to resolve some localization issues.

    Version Information

    The version numbers of the assemblies provided with Spread for Windows Forms 1.0.4.0 are:

    Assembly | Version
FarPoint.Win.Spread | 1.0.4.0
FarPoint.Win | 1.0.5.0
FarPoint.Excel | 1.0.5.0
FarPoint.CalcEngine | 1.0.4.0
FarPoint.PluginCalendar.WinForms | 1.0.9999.0
FarPoint.SpreadWrapper | 1.0.4.0
FarPoint.Win.Spread.Design | 1.0.4.0

back to top

Release Notes for Version 1.0.3.0

This set of release notes for Spread for Windows Forms 1.0.3.0 includes a summary of enhancements and version details.

    Latest Enhancements

    Beyond resolving customer issues (listed on the Fixed Problems List on the Technical Support Web site), we have added the following enhancements in this latest maintenance release:

    • A re-designed and more powerful Spread Designer
    • Improved borders and grid lines, including double-line borders and complex border side style
    • More support for rotated text, including allowing button and header cells to have rotated text
    • GetPrintPreview method
    • Calendar property to DateTime cell types
    • Maximum length property to combo box cell types
    • Improved documentation with more example code

    Version Information

    The version numbers of the assemblies provided with Spread for Windows Forms 1.0.3.0 are:

    Assembly | Version
FarPoint.Win.Spread | 1.0.3.0
FarPoint.Win | 1.0.4.0
FarPoint.Excel | 1.0.4.0
FarPoint.CalcEngine | 1.0.4.0
FarPoint.PluginCalendar.WinForms | 1.0.9999.0
FarPoint.SpreadWrapper | 1.0.3.0
FarPoint.Win.Spread.Design | 1.0.3.0

back to top

Release Notes for Version 1.0.2.0

This set of release notes for Spread for Windows Forms 1.0.2.0 includes a summary of enhancements and version details.

    Latest Enhancements

    Beyond resolving customer issues (listed on the Fixed Problems List on the Technical Support Web site), we have added the following enhancements in this latest maintenance release:

    • Mitered border corners for complex borders in cells

    Version Information

    The version numbers of the assemblies provided with Spread for Windows Forms 1.0.2.0 are:

    Assembly | Version
FarPoint.Win.Spread | 1.0.2.0
FarPoint.Win | 1.0.2.2
FarPoint.Excel | 1.0.2.2
FarPoint.CalcEngine | 1.0.2.2
FarPoint.PluginCalendar.WinForms | 1.0.9999.0
FarPoint.SpreadWrapper | 1.0.2.0
FarPoint.Win.Spread.Design | 1.0.2.0

back to top

© 2003-2005, FarPoint Technologies, Inc. All rights reserved.


Installation

Notes for Users of Previous Versions

  • If you have been a beta or release candidate (RC) user of Spread for Windows Forms, you should backup your projects, uninstall that earlier version of Spread for Windows Forms, and then install Spread for Windows Forms.
    For beta, RC1, and RC2 users, you must first load and save each Windows form in existing projects created with earlier versions using the RC3 version to preserve the design-time settings before using these forms with the final release. You must make a change to the form, to force each form and RESX file to be updated, and then use either Save As or Save. Be sure to do this before installing this version of Spread for Windows Forms.
  • If you have a previous release of Spread for Windows Forms, run the installation following the installation procedure below. If you have previously purchased the product and provided your Product Key and Serial Number, you do not need to provide them again; just click Next at that step in the installation.
  • If you are upgrading your existing projects, follow the procedure for Updating Projects.
  • If you have made changes to a Spread control on a form at design time that required writing objects to the RESX file for the form and you are using Microsoft Visual Studio .NET 2002, follow the procedure for Setting a Binding Redirect.

Installation Procedure

To install this version of Spread for Windows Forms,

  1. Save the downloaded ZIP file (SpWinxxxx.zip) to a temporary directory on your system, and then unzip the files to a temporary directory.
  2. Run the SpWin.msi program from your temporary directory.
  3. On the initial Welcome screen of the installation program, click Next.
  4. On the License Agreement screen, select whether you agree to the license agreement. If you do, then click Next.
  5. On the User Information screen, enter your name, etc.
    • If you are installing a licensed version of the product, type your Product Key and Serial Number in the fields provided and click Next.
    • If you are installing a trial version of the product, simply leave the Product Key and Serial Number fields blank and click Next. (For more information, read Trial Version.)
  6. Continue to choose from the various installation options, clicking Next when each step of the installation is complete.

    7. Note: As part of the installation, the MSHelp2 Viewer from HTML Help Center installation runs for your system. When the help viewer installation begins, press Next to continue the installation, or click Cancel to exit the installation and not install the viewer. If you choose not to install the viewer, you will not be able to view the online help provided with Spread for Windows Forms in a stand-alone viewer. You will only be able to view the help within Visual Studio .NET.

    Note: Near the end of the installation, the help file is installed on your system and registered. This process can take some time, and you might think that your system has stopped, but do not interrupt the installation process.

    Note: Microsoft has informed us that MSN Messenger can lock the GAC, which stops the installation from removing older assemblies from the GAC. For more information, refer to Removing Assemblies from the GAC.


Removing Assemblies from the GAC

Removal Procedure

In case you run into a problem with removing or deleting our assemblies from the global assembly cache (GAC), here is information from the Microsoft Global Technical Engineering Center (GTEC). This is case number SRZ030805001111 regarding Microsoft Visual Studio .NET Enterprise Developer 2002.

The MSN Messenger 6.0 installation sets a default key in the registry, which may cause this issue. To fix it, users may make a backup of the registry key and after the assembly is uninstalled, restore the key to make sure nothing is harmed. To do this:

  1. Click Start > Run, type in "regedit", and click OK. This starts the Registry Editor.
  2. Navigate to the key HKEY_CLASSES_ROOT\Installer\Assemblies\Global and select it.
  3. Select Export Registry File from the Registry menu to backup the key.
  4. Locate the (Default) key for the assembly to be deleted in the right pane.
  5. Right-click the key and select Delete. This should put the key data to "(value not set)".
  6. Use "gacutil /u" to remove the desired assemblies from the GAC.
  7. Double-click the registry file created in step 3 to restore the key.

The registry key does not have any particular meaning to MSN Messenger. After removing it, Messenger still functions well. Delete it as you like. However, in case it does have a use, you may recover the key by a "Reparation" of MSN Messenger. Simply double-click the installation file SetupNT.exe and it will guide you through the process.

Return to Installation Procedure.


Installed Files

By default, Spread for Windows Forms installs the following files on your system:

Install Directory | File | Description
C:\Program Files\FarPoint Technologies | - | Company directory for installed products
\Common Files | - | Directory for files common to FarPoint products
\Common Files\Formula | - | Documentation files for the Formula Reference
C:\Program Files\FarPoint Technologies\Spread.WinForms | - | Product directory
\v1.x.x.x\Bin | - | Product files
 | FarPoint.CalcEngine.dll | FarPoint Formula assembly
 | FarPoint.Excel.dll | FarPoint Excel file compatibility assembly
 | FarPoint.PluginCalendar.WinForms.dll | FarPoint Calendar control assembly
 | FarPoint.Win.dll | FarPoint Base Windows Forms assembly
 | FarPoint.Win.Spread.dll | FarPoint Spread for Windows Forms control assembly
 | policy.1.0.FarPoint.Win.dll policy.1.0.FarPoint.Win.config | FarPoint Windows policy files
 | policy.1.0.FarPoint.Win.Spread.dll policy.1.0.FarPoint.Win.Spread.config | FarPoint Spread policy files
 | XML files | Text for IntelliSense support in Visual Studio .NET
 | SpWinREDIST.msm | Merge module for redistributing a project using Spread for Windows Forms
\v1.x.x.x\Samples | - | Samples for the specified version of Spread for Windows Forms
\v1.x.x.x\Skins | - | Directory for user-created sheet skins
\Common | - | Sample files for Spread for Windows Forms
\Docs | - | Documentation files for Spread for Windows Forms

The Spread for Windows Forms controls are shared assemblies; therefore, these DLLs are also added to the global assembly cache (GAC) during installation. The FarPoint.Win.Spread.Design.dll (the Spread Designer assembly) and the FarPoint.SpreadWrapper.dll (Spread wrapper) are also added to the GAC.

For version information, see the Release Notes for your product version.


Updating Projects

When you install Spread for Windows Forms and you have used previous versions of Spread for Windows Forms, you might need to update Visual Studio .NET and your existing projects, as explained in these instructions.

To update the Toolbox in Visual Studio .NET

For new projects, you might need to remove the existing FpSpread control from your Toolbox, and add the new FpSpread control. To do so, follow these instructions:

  1. Right-click on the Toolbox, and choose Customize Toolbox.
  2. In the Customize Toolbox dialog, choose the .NET Framework Components tab.
  3. In the list of Components, clear the check box in front of FpSpread where the assembly name indicates the old version, and select the check box in front of FpSpread where the assembly name indicates the current version.
  4. Click OK to close the dialog and place the updated FpSpread in your Toolbox.

To upgrade your existing Visual Studio .NET projects

To upgrade your existing Visual Studio .NET projects, follow these instructions:

  1. In VS.NET in your project, open the Solution Explorer (Ctrl+Alt+L).
  2. Right-click the Project and choose Properties.
  3. If this is the first time you have upgraded and you do not already have a Reference Path, create a Reference Path. In the Project's Property Pages window, under Common Properties, select Reference Path, click on the New Line button (Ctrl+Insert) and browse to the the location where you installed the latest assemblies.
  4. If this is not the first time you have upgraded, and you already have a Reference Path, in the Project's Property Pages window, under Common Properties, select Reference Path, and modify it so it points to the location where you installed the latest assemblies. Then click OK.
  5. Click OK to close the Add Reference dialog and add these assemblies to your project.

For users of Visual Studio .NET 2002 who are upgrading projects

If you have made changes to a Spread control on a form at design time that required writing objects to the RESX file for the form and you are using Microsoft Visual Studio .NET 2002, follow the procedure for Setting a Binding Redirect. This only applies if you are using Visual Studio .NET 2002.

Remember to make a backup of all your projects before upgrading. Once you have followed these instructions and upgraded the projects, and changed the Reference Path and loaded and saved the project, you will not be able to open the project in the old version. Once you have saved it in the new version, you cannot go back and open it in the old version. This restriction applies only to files that have a control on a form that had changes at design time that required writing objects to the RESX file.

See also Installation.


Setting a Binding Redirect

This is for users of Visual Studio .NET 2002 only.

For users of Microsoft Visual Studio .NET 2002, to avoid exceptions when loading a form from a previously created project, please follow these instructions for setting a binding redirect for each of the assemblies of Spread for Windows Forms.

If you have made changes to a Spread control on a form at design time that required writing objects to the RESX file for the form, then you will not be able to load the form at design time unless you set a binding redirect in the machine.config file for each of these assemblies used by Spread:

assembly name | latest previous version | new version
FarPoint.Win | 1.0.0.0 - 1.0.5.0 | 1.0.6.0
FarPoint.Win.Spread | 1.0.1.0 - 1.0.4.4 | 1.0.5.0

Note that your previous version numbers may vary depending on whether you had a beta or release candidate version. This table shows only the versions for the latest release prior to this new release.

If you are also using FarPoint InputPro for Windows Forms, make sure you have the latest maintenance release, so that the binding redirects in the publisher policy work correctly.

Without these binding redirects, if the previous version of an assembly is present in the Global Assembly Cache (GAC), then loading the form will throw invalid cast exceptions. Follow the procedure below for each of these assemblies.

Binding Redirect Procedure

To add the binding redirect:

  1. Open the Control Panel (Start > Settings > Control Panel).
  2. Run the Administrative Tools.
  3. Run the Microsoft .NET Framework Configuration.
  4. From the .NET Framework Configuration window, select Configured Assemblies from the menu on the left.
  5. In the Configured Assemblies pane on the right, in the Task area, select Configure an Assembly.
  6. In the Configure an Assembly dialog, with the Choose an assembly from the assembly cache option button selected (the default), click the Choose Assembly button in the lower right.
  7. In the Choose Assembly from Assembly Cache window, scroll down until the assembly name appears. For example, find FarPoint.Win.Spread.
  8. Select the assembly, for example, FarPoint.Win.Spread version 1.0.1.0, from the list and click Finish.
  9. The Properties window for that assembly appears.
  10. Select the Binding Policy tab and type in the previous version number in the Request Version column and the new version number in the New Version column. For example, for FarPoint.Win.Spread, type in 1.0.1.0 in the Request Version column and 1.0.5.0 in the New version, as shown here. (Remember, your previous version numbers may differ from those given here.)

    11. Screen shot of Binding Policy tab with values

  11. Click OK.

Repeat this procedure for each of the assemblies listed in the table at the top of this page.

All references to the previous version of the assembly (FarPoint.Win.Spread.dll, version 1.0.1.0 in the above example) are then redirected to the new version of the assembly (FarPoint.Win.Spread.dll, version 1.0.5.0 in the above example), including references in the RESX file for a form at design time.

If you subsequently uninstall the new version of Spread for Windows Forms from your machine, then you need to remove the binding redirects. Refer to the procedure below for instructions.

To be clear:

  1. This is not necessary if you are using Visual Studio .NET 2003.
  2. You do not need to keep this binding redirect after you have upgraded all your projects and loaded and saved them in the new version.

Removing Binding Redirect Procedure

To remove the binding redirect (if you have uninstalled the new version of Spread for Windows Forms from your machine or you are finished upgrading all your projects and you do not need the binding redirect anymore):

  1. Open Control Panel (Start > Settings > Control Panel).
  2. Run Administrative Tools.
  3. Run Microsoft .NET Framework Configuration.
  4. From the .NET Framework Configuration window, select Configured Assemblies from the menu on the left.
  5. In the Configured Assemblies pane on the right, in the Task area, select View List of Configured Assemblies.
  6. Select the assembly name.
  7. Press the Delete key and select "Yes" in the confirmation dialog to remove the assembly configuration.

Repeat this procedure for each of the assemblies used in Spread for Windows Forms listed in the table at the top of this page.

Return to Updating Projects.


Development Requirements

For developing applications with Spread for Windows Forms, you must have the following system and software specifications:

Operating System
One of the following:
Microsoft Windows 2000 Professional
Microsoft Windows 2000 Server
Microsoft Windows NT 4.0 Workstation, SP6
Microsoft Windows NT 4.0 Server, SP6
Microsoft Windows XP Professional
Software

    The release version of the .NET Framework or Visual Studio .NET.

Processor

    PC with a 450 MHz Pentium II or better

RAM
Microsoft Windows 2000 Professional | 128 MB
Microsoft Windows 2000 Server | 192 MB
Microsoft Windows NT 4.0 Workstation | 128 MB
Microsoft Windows NT 4.0 Server | 160 MB
Microsoft Windows XP Professional | 160 MB

These are minimum requirements to run Spread for Windows Forms. These are not the recommended requirements for all applications; some applications may work best with more RAM, for example.


Deployment Requirements

When you deploy applications that you have developed using Spread for Windows Forms, your users' systems must meet the following requirements and you must distribute the files listed in the following sections:

System Requirements

Your users' systems must meet the following requirements:

Operating System
Must be one of the following:
  • Microsoft Windows 98
  • Microsoft Windows ME
  • Microsoft Windows NT 4.x
  • Microsoft Windows 2000
  • Microsoft Windows XP
Software
You must have the Microsoft .NET Framework installed.

Files to Distribute

You must distribute the following files to your users' systems:

  • The following assemblies that come with Spread for Windows Forms:
    • FarPoint.CalcEngine.Dll
    • FarPoint.Excel.Dll
    • FarPoint.PluginCalendar.WinForms.dll
    • FarPoint.Win.dll
    • FarPoint.Win.Spread.dll

    Installation for your application must copy these DLLs from the Spread for Windows Forms directory to the directory where the application's executable file resides or install them in the global assembly cache (GAC). For more information on the GAC, refer to the Microsoft Visual Studio .NET and .NET Framework documentation.

  • The .NET Framework redistributable package, if the users do not have the .NET Framework on their systems. For more information on this package, refer to the .NET Framework documentation.

Hosting the Control on a Web Page

If you are hosting the Spread for Windows Forms control as a user control on a Web page in Microsoft Internet Explorer (IE), make these security permission adjustments:

  1. In IE, select Tools->Internet Options->Security and select Trusted Sites. Click the Sites button and add the Web site where your user control resides (for example, http://localhost).
  2. In Windows, select Start->Settings->Control Panel and select Administrative Tools. Select Microsoft .NET Framework Configuration. In the .NET Framework Configuration window, select Runtime Security Policy and click Adjust Zone Security. In the Adjust Zone Security Wizard, answer the first screen (which computer it applies to) and in the next screen, click Trusted Sites and slide the indicator to give that zone Full Trust. Finish the wizard by clicking Next.


Trial Version

If you installed the product without the serial number and product code, you have a trial version of the product that can be used for up to 30 days. The license agreement and purchase information is displayed throughout your trial period when you use the controls in your projects.

If you decide to purchase the product, you can turn the trial version into a licensed version simply by typing in the serial number and product code. After the installation, you must open the product in the Visual Studio development environment to display the License Agreement screen. When the License Agreement screen displays you have three choices:

  • You may click Continue if you want to continue to operate in the trial version as before.
  • You may click Ready to Purchase if you want to purchase the licensed version.
    • In the Unlock Now screen, the program automatically assigns you a software code key. Contact a FarPoint Sales representative to obtain a valid serial number. After your order is processed, you are given a serial number that will unlock the trial software immediately, giving you a fully licensed version of the product.
    • Click Unlock.
  • You may click Already Purchased if you have already purchased the licensed version and have both numbers.
    • In the Unlock Now screen, enter both the software code key and the serial number.
    • Click Unlock.

This unlocking capability is made possible by our proprietary SoftwareSecureTM technology.

If you decide not to purchase the product after the trial expires, we recommend that you uninstall the trial version from your system.

SoftwareSecure is a trademark of FarPoint Technologies, Inc.


Viewing Help Content - Spread for Windows Forms - FarPoint Technologies

Read Me - FarPoint Spread for Windows Forms

Viewing Help Content

If you have one of the Microsoft development products installed on your machine, and you would like to view the help content outside the Visual Studio .NET development environment, then you may open Microsoft Help 2.0 (.HxS) files using the supplied Microsoft Document Explorer (DExplore.exe) viewer. FarPoint provides the Spread for Windows Forms product documentation in one HxS file and the Formula Reference in another HxS file.

To view the files in stand-alone mode, from the Start menu in Windows, select Start -> Programs -> FarPoint Technologies -> Spread for Windows Forms, and then either select Online Help (for the entire product documentation) or Formula Reference (for just the Formula Reference).

The product documentation is also available in PDF files for easy viewing and printing. Again, from the Start menu in Windows, select Start -> Programs -> FarPoint Technologies -> Spread for Windows Forms -> Printable Documentation. An HTML page is displayed in your browser with a selection of links to PDF files and a link to download the latest Acrobat Reader.

The product documentation is now also available in a Microsoft Help 1.0 (.CHM) file in the Spread.WinForms\Docs folder.

The online help is also integrated with Visual Studio .NET and appears when you press F1 or otherwise summon the online help from within the development environment.

Return to the Release Notes.

Return to the ReadMe overview.


Technical Support

If you have a question about Spread for Windows Forms, consult these sources:

  • Online help and other documentation files installed with the product
  • Product forum at http://www.clubfarpoint.com/Forums/

    If you are not a member of the forum, follow these instructions to become a member:

    1. Go to the forum at http://www.clubfarpoint.com/Forums/.
    2. At the top of the page, click the Create Account link.
    3. Read the Registration Agreement Terms and if you agree to the terms, click the appropriate link at the bottom of the page.
    4. Complete the Registration Information (required), Profile Information (optional), and Preferences (optional) sections, then click Submit.
  • Knowledge base available on our Web site
  • Code samples installed with the product

If you cannot find the answer using these sources, please contact our Technical Support department using one of these methods depending on your technical support package:

Support Web site | www.fpoint.com
E-mail | fpsupport@fpoint.com
Fax | (919) 460-7606
FTP site | ftp://ftp.fpoint.com
Phone | (919) 460-1887 FarPoint Technical Support is available between 9:00 a.m. and 5:30 p.m. Eastern time, Monday through Friday.

For information about the our technical support packages, visit the FarPoint Technical Support area on the Web site, or contact FarPoint Sales at (800) 645-5913 or fpsales@fpoint.com.


Contacting FarPoint

If you would like to find out more about FarPoint and our products, contact FarPoint Sales using one of these methods:

Web site | www.fpoint.com
E-mail | fpsales@fpoint.com
Phone | (800) 645-5913
Fax | (919) 460-7606
Mail | FarPoint Technologies, Inc. 808 Aviation Parkway Suite 1300 Morrisville, NC 27560 USA